Subject: Re: IP forwarding and/or Masquerading

From: "Adam Heath" <[email-masked]>
Date: Thu, 26 Jul 2096 14:40:00 -0400

----------
> From: N. Salwen <[email-masked]>
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: IP forwarding and/or Masquerading
> Date: Monday, July 23, 2096 4:46 AM
> 
> 
> > I'm still struggling to get my PPP connection working properly.
Although =
> > the chat script is making the connection, I can;t send any packets to
=
> > any machine other than the one I am dailing in on. 
> 
> Did you set the defaultroute option to pppd?
> 

Setting the 'defaultroute' in /etc/ppp/options is not enough.  When I
installed Debian, I selected the defaultroute option for my network card. 
When PPPD would try to add a defaultroute for the ppp0 interface, it
wouldn't do it because a defaultroute already existed.  This prevented me
from communicating over the ppp0 interface.  To fix the problem, I edited
/etc/init.d/network and commented out the line that added the defaultroute
for the network card.  I rebooted, and everything worked fine.